aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d')
-rw-r--r--bash/bashrc.d/lhn.bash7
1 files changed, 7 insertions, 0 deletions
diff --git a/bash/bashrc.d/lhn.bash b/bash/bashrc.d/lhn.bash
new file mode 100644
index 00000000..89c6f5da
--- /dev/null
+++ b/bash/bashrc.d/lhn.bash
@@ -0,0 +1,7 @@
+# Print the history number of the last command
+lhn () {
+ local last
+ last=$(fc -l -1) || return
+ [[ -n $last ]] || return
+ printf '%u\n' "${last%%[^0-9]*}"
+}